Subject: Re: [PATCH] ath10k: increase rx buffer size to 2048

From: Sven Eckelmann <[email-masked]>
Date: Wed, 01 Apr 2020 09:00:49 +0200

On Wednesday, 5 February 2020 20:10:43 CEST Linus Lüssing wrote:
> From: Linus Lüssing <[email-masked]>
> 
> Before, only frames with a maximum size of 1528 bytes could be
> transmitted between two 802.11s nodes.
> 
> For batman-adv for instance, which adds its own header to each frame,
> we typically need an MTU of at least 1532 bytes to be able to transmit
> without fragmentation.
> 
> This patch now increases the maxmimum frame size from 1528 to 1656
> bytes.
[...]

@Kalle, I saw that this patch was marked as deferred [1] but I couldn't find 
any mail why it was done so. It seems like this currently creates real world 
problems - so would be nice if you could explain shortly what is currently 
blocking its acceptance.

Kind regards,
	Sven

[1] https://patchwork.kernel.org/patch/11367055/